"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.genTestUserSig = genTestUserSig;
var _libGenerateTestUsersigEsMin = _interopRequireDefault(require("./lib-generate-test-usersig-es.min.js"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Refer to the READEME.md for the SDKAppID、SecretKey
 */
let SDKAppID = 0;
let SecretKey = '';

/**
 * Expiration time for the signature, it is recommended not to set it too short.
 * Time unit: seconds
 * Default time: 7 x 24 x 60 x 60 = 604800 = 7 days
 */
const EXPIRETIME = 604800;
function genTestUserSig(params) {
  if (params.SDKAppID) SDKAppID = params.SDKAppID;
  if (params.SecretKey) SecretKey = params.SecretKey;
  const generator = new _libGenerateTestUsersigEsMin.default(SDKAppID, SecretKey, EXPIRETIME);
  const userSig = generator.genTestUserSig(params.userID);
  return {
    SDKAppID,
    SecretKey,
    userSig
  };
}
//# sourceMappingURL=GenerateTestUserSig-es.js.map